package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.fire.domain.DemEnforceReportLabelAttribute;
import com.usky.fire.domain.DemFireLabelAttribute;
import com.usky.fire.mapper.DemEnforceReportLabelAttributeMapper;
import com.usky.fire.service.DemEnforceReportLabelAttributeService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author JCB
 * @since 2022-10-08
 */
@Service
public class DemEnforceReportLabelAttributeServiceImpl extends AbstractCrudService<DemEnforceReportLabelAttributeMapper, DemEnforceReportLabelAttribute> implements DemEnforceReportLabelAttributeService {

    @Override
    public List<DemEnforceReportLabelAttribute> enforceReportLabelAttributeList(Integer labelId) {
        LambdaQueryWrapper<DemEnforceReportLabelAttribute> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(labelId != null && labelId != 0, DemEnforceReportLabelAttribute::getLabelId, labelId);
        List<DemEnforceReportLabelAttribute> list = this.list(queryWrapper);
        return list;
    }

    @Override
    public void delEnforceReportLabelAttribute(Integer id){
        this.removeById(id);
    }
}
